/*
 * @(#)src/demo/sound/src/JavaSoundApplet.java, ds131, ds131, 20011204 1.4.2.3
 * ===========================================================================
 * Licensed Materials - Property of IBM
 * "Restricted Materials of IBM"
 *
 * IBM Java(tm)2 SDK, Standard Edition, v 1.3.1
 * (C) Copyright IBM Corp. 1998, 2001. All Rights Reserved
 * ===========================================================================
 */

/*
 * @(#)JavaSoundApplet.java	1.3	01/02/09
 * ===========================================================================
 *
 * Copyright (c) 1998-2001 by Sun Microsystems, Inc. All Rights Reserved.
 * Copyright 1998-1999 by Sun Microsystems Inc.,
 * ===========================================================================
 */

import javax.swing.JApplet;

/**
 * A demo that shows JavaSound features. 
 *
 * Parameters that can be used in the JavaSound.html file inside
 * the applet tag to customize demo runs :
 *            <param name="dir" value="audioDirectory">
 *
 * @(#)JavaSoundApplet.java	1.3	01/02/09
 * @author Brian Lichtenwalter 
 */
public class JavaSoundApplet extends JApplet {

    static JavaSoundApplet applet;
    private JavaSound demo;

    public void init() {
        applet = this;
        String media = "media";
        String param = null;
        if ((param = getParameter("dir")) != null) {
            media = param;
        } 
        getContentPane().add("Center", demo = new JavaSound(media));
    }

    public void start() {
        demo.open();
    }

    public void stop() {
        demo.close();
    }
}
