/*
 * @(#)src/demo/misc/JavaMemory.java, ds131, ds131, 20011204 1.2.2.3
 * ===========================================================================
 * Licensed Materials - Property of IBM
 * "Restricted Materials of IBM"
 *
 * IBM Java(tm)2 SDK, Standard Edition, v 1.3.1
 * (C) Copyright IBM Corp. 1998, 2001. All Rights Reserved
 * ===========================================================================
 */

/*
 * Title: JavaMemory
 *
 * Description: Displays free and total memory usage
 *
 * Usage: java JavaMemory
 *
 */

public class JavaMemory {

	public static void main(String[] args) {
		Runtime runtime = Runtime.getRuntime();
		long freeKMem = runtime.freeMemory()/1024;
		long totalKMem = runtime.totalMemory()/1024;
		long freeMMem = runtime.freeMemory()/1024/1024;
		long totalMMem = runtime.totalMemory()/1024/1024;
		System.out.println("Free Mem:"+freeKMem+"KB ("+freeMMem+"MB), Total Mem:"+totalKMem+"KB ("+totalMMem+"MB)");
	}
}

